Bug 1260943 - Openshift master daemon runs as root
Openshift master daemon runs as root
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Scott Dodson
Xiaoli Tian
:
: 1430398 (view as bug list)
Depends On:
Blocks: 1267746
  Show dependency treegraph
 
Reported: 2015-09-08 05:32 EDT by Jaspreet Kaur
Modified: 2017-05-15 14:18 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2015-09-08 05:32:57 EDT
Description of problem:

Openshift master daemon runs as root. The master should not have to run as root though the node have to.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Openshift Enterprise 3.
2. Below is the process that shows master is running as root :

ps -aux |grep openshift

root      46947 10.6  5.2 1337348 419220 ?      Ssl  ago13 2883:29 /usr/bin/openshift start master --config=/etc/openshift/master/master-config.yaml --loglevel=3

Actual results:

Master is seen running as root.


Expected results:

master should not have to run as root.

Additional info:
Comment 13 Dan McPherson 2017-03-08 10:21:41 EST
*** Bug 1430398 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.